import { Home, Notifications, People, Public } from "@mui/icons-material";
import {
	Drawer,
	List,
	ListItemButton,
	ListItemIcon,
	ListItemText,
} from "@mui/material";
import { useLocation } from "wouter-preact";

export default function DesktopNav() {
	const [location, navigate] = useLocation();

	return (
		<>
			<Drawer
				sx={{ width: 200, display: { xs: "none", lg: "block" } }}
				variant="permanent"
				anchor="left"
			>
				<List>
					<ListItemButton
						onClick={() => navigate("/web")}
						selected={location === "/web"}
					>
						<ListItemIcon>
							<Home />
						</ListItemIcon>
						<ListItemText primary="Home" />
					</ListItemButton>
					<ListItemButton
						onClick={() => navigate("/web/notifications")}
						selected={location === "/web/notifications"}
					>
						<ListItemIcon>
							<Notifications />
						</ListItemIcon>
						<ListItemText primary="Notifications" />
					</ListItemButton>
					<ListItemButton
						onClick={() => navigate("/web/local")}
						selected={location === "/web/local"}
					>
						<ListItemIcon>
							<People />
						</ListItemIcon>
						<ListItemText primary="Local timeline" />
					</ListItemButton>
					<ListItemButton
						onClick={() => navigate("/web/global")}
						selected={location === "/web/global"}
					>
						<ListItemIcon>
							<Public />
						</ListItemIcon>
						<ListItemText primary="Global timeline" />
					</ListItemButton>
				</List>
			</Drawer>
		</>
	);
}
