import type { Store } from "$lib/store";

export const getAccount = (state: Store, id: string) =>
	id in state.accounts.accounts ? state.accounts.accounts[id] : undefined;

export const getCurrentAccount = (state: Store) =>
	state.accounts.currentAccount;

export const getAccountByName = (state: Store, username: string) => {
	const id =
		username in state.accounts.usernames
			? state.accounts.usernames[username]
			: undefined;
	if (!id) return undefined;
	return id in state.accounts.accounts
		? state.accounts.accounts[id]
		: undefined;
};
