/** @type {import('tailwindcss').Config} */
export default {
	content: [
		"../web/frontend/app.html",
		"./index.html",
		"./src/**/*.{js,ts,jsx,tsx}",
	],
	darkMode: "class",
	theme: {
		extend: {
			colors: {
				textDark: "#ffffff",
				textLight: "#000000",
				background: {
					50: "#fefefe",
					100: "#fdfdfd",
					200: "#fbfbfb",
					300: "#f9f9f9",
					400: "#f7f7f7",
					500: "#f5f5f5",
					600: "#c4c4c4",
					700: "#939393",
					800: "#626262",
					900: "#313131",
				},
				primary: {
					50: "#e6f2f3",
					100: "#cee5e8",
					200: "#9ccbd1",
					300: "#6bb2b9",
					400: "#3998a2",
					500: "#087e8b",
					600: "#06656f",
					700: "#054c53",
					800: "#033238",
					900: "#02191c",
				},
				secondary: {
					50: "#f2f2f3",
					100: "#e5e5e7",
					200: "#cbccce",
					300: "#b0b2b6",
					400: "#96999d",
					500: "#7c7f85",
					600: "#63666a",
					700: "#4a4c50",
					800: "#323335",
					900: "#19191b",
				},
				danger: {
					50: "#ffefef",
					100: "#ffdedf",
					200: "#ffbdbf",
					300: "#ff9c9f",
					400: "#ff7b7f",
					500: "#ff5a5f",
					600: "#cc484c",
					700: "#993639",
					800: "#662426",
					900: "#331213",
				},
				success: {
					50: "#edf6f0",
					100: "#dbece1",
					200: "#b8d9c2",
					300: "#94c7a4",
					400: "#71b485",
					500: "#4da167",
					600: "#3e8152",
					700: "#2e613e",
					800: "#1f4029",
					900: "#0f2015",
				},
			},
		},
	},
	plugins: [],
};
