import { defineConfig } from "vite";
import preact from "@preact/preset-vite";
import { resolve } from "path";

// https://vitejs.dev/config/
export default defineConfig({
	plugins: [preact()],
	build: {
		manifest: "manifest.json",
	},
	resolve: {
		alias: {
			$: resolve(__dirname, "./src/"),
			$lib: resolve(__dirname, "./src/lib/"),
			$components: resolve(__dirname, "./src/components/"),
			$pages: resolve(__dirname, "./src/pages/"),
			$public: resolve(__dirname, "./public/"),
		},
	},
});
